DefaultFoldHandlerProvider (jEdit API Documentation)
Date: 2015-02-03

org.gjt.sp.jedit.buffer

## Class DefaultFoldHandlerProvider

- java.lang.Object
- - org.gjt.sp.jedit.buffer.DefaultFoldHandlerProvider

- All Implemented Interfaces:
    FoldHandlerProvider

      public class DefaultFoldHandlerProvider
      extends java.lang.Object
      implements FoldHandlerProvider

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `DefaultFoldHandlerProvider()`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `void` | `addFoldHandler(FoldHandler foldHandler)` Add a new FoldHander.
    `FoldHandler` | `getFoldHandler(java.lang.String name)` Returns the fold handler with the specified name, or null if there is no registered handler with that name.
    `java.lang.String[]` | `getFoldModes()` Returns an array containing the names of all registered fold handlers.

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### DefaultFoldHandlerProvider

          public DefaultFoldHandlerProvider()

  - ### Method Detail

    - #### getFoldHandler

          public FoldHandler getFoldHandler(java.lang.String name)

      Returns the fold handler with the specified name, or null if there is no registered handler with that name.
      Specified by:
        `getFoldHandler` in interface `FoldHandlerProvider`
      Parameters:
        `name` - The name of the desired fold handler
      Returns:
        the FoldHandler or null if it doesn't exist
      Since:
        jEdit 4.3pre10

    - #### getFoldModes

          public java.lang.String[] getFoldModes()

      Returns an array containing the names of all registered fold handlers.
      Specified by:
        `getFoldModes` in interface `FoldHandlerProvider`
      Since:
        jEdit 4.0pre6

    - #### addFoldHandler

          public void addFoldHandler(FoldHandler foldHandler)

      Add a new FoldHander.
      Parameters:
        `foldHandler` - the new foldHandler
      Since:
        jEdit 4.3pre13